StringForwardTokenizer Class Reference

`#include <stringForwardTokenizer.h>`

Inheritance diagram for StringForwardTokenizer:
Collaboration diagram for StringForwardTokenizer:

## Public Member Functions

| StringForwardTokenizer (std::string &toBeTokenized, const std::string blankspaces, const std::string separators)
virtual | ~StringForwardTokenizer ()
Public Member Functions inherited from ForwardTokenizer
| ForwardTokenizer (std::istream &stream, const std::string blankspaces, const std::string separators)
virtual | ~ForwardTokenizer ()
virtual int | countTokens ()
virtual bool | hasMoreTokens () const
virtual std::string | nextToken ()
virtual double | progress () const
Public Member Functions inherited from Tokenizer
| Tokenizer (std::istream &stream, const std::string blankspaces, const std::string separators)
virtual | ~Tokenizer ()
void | blankspaceChars (const std::string)
std::string | blankspaceChars () const
void | separatorChars (const std::string)
std::string | separatorChars () const
void | lowercaseMode (const bool)
bool | lowercaseMode () const
std::string | streamToString () const

## Additional Inherited Members

Protected Member Functions inherited from Tokenizer
bool | isBlankspace (const int character) const
bool | isSeparator (const int character) const
Protected Attributes inherited from Tokenizer
std::istream & | stream
std::ios::iostate | sstate
std::streamoff | offbeg
std::streamoff | offend
std::streamoff | offset

## Detailed Description

Definition at line 30 of file stringForwardTokenizer.h.

## Constructor & Destructor Documentation

## StringForwardTokenizer()

StringForwardTokenizer::StringForwardTokenizer | ( | std::string & | toBeTokenized,
|  | const std::string | blankspaces,
|  | const std::string | separators
| ) |  |

Definition at line 29 of file stringForwardTokenizer.cpp.

## ~StringForwardTokenizer()

StringForwardTokenizer::~StringForwardTokenizer | ( |  | ) |

virtual

Definition at line 35 of file stringForwardTokenizer.cpp.

The documentation for this class was generated from the following files:

- /build/presage-1beMKb/presage-0.9.1/src/lib/core/tokenizer/stringForwardTokenizer.h
- /build/presage-1beMKb/presage-0.9.1/src/lib/core/tokenizer/stringForwardTokenizer.cpp